#if !defined(AFX_WRITEPAGE_H__3D5643B4_DB3F_4CC9_A32B_D5A08093AD82__INCLUDED_)
#define AFX_WRITEPAGE_H__3D5643B4_DB3F_4CC9_A32B_D5A08093AD82__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// WritePage.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CWritePage dialog

class CWritePage : public CPropertyPage
{
	DECLARE_DYNCREATE(CWritePage)

// Construction
public:
	CWritePage();
	~CWritePage();

// Dialog Data
	//{{AFX_DATA(CWritePage)
	enum { IDD = IDD_WRITEPAGE };
	CComboBox	m_OutCombo;
	BOOL	m_OutputQuads;
	BOOL	m_OutputUV;
	BOOL	m_OutputVNormals;
	BOOL	m_Save2DLines;
	BOOL	m_ShowSaveMessages;
	BOOL	m_SaveTexturePath;
	BOOL	m_SavePointClouds;
	int		m_3DMF_Group;
	int		m_Pixel_Group;
	BOOL	m_AutoDivideLayers;
	CString	m_DemAboveFactor;
	CString	m_DemBelowFactor;
	int		m_DemSeaLevel_Group;
	BOOL	m_OutputVColors;
	BOOL	m_MultiMaterial;
	BOOL	m_RelocateTextures;
	BOOL	m_OutputAvatar;
	BOOL	m_PartialTexturePath;
	BOOL	m_NoIndent;
	BOOL	m_OneLayerPerFile;
	BOOL	m_TextAsText;
	BOOL	m_ModoCameraSunlight;
	BOOL	m_ModoHierarchy;
	BOOL	m_ModoWithJoints;
	//}}AFX_DATA


// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CWritePage)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(CWritePage)
	afx_msg void OnOutputquads();
	afx_msg void OnOutputuv();
	afx_msg void OnWrite();
	afx_msg void OnBufferwrite();
	afx_msg void OnClear();
	afx_msg void OnDeletelayer();
	afx_msg void OnMergevertices();
	afx_msg void OnMergeobjects();
	virtual BOOL OnInitDialog();
	afx_msg void OnVnormals();
	afx_msg void OnSelchangeOutcombo();
	afx_msg void OnSave2dlines();
	afx_msg void OnShowsavemessages();
	afx_msg void OnSavetexturepath();
	afx_msg void OnSavepointclouds();
	afx_msg void OnMergematerials();
	afx_msg void OnMesh3dmf();
	afx_msg void OnTrimesh3dmf();
	afx_msg void OnTriangle3dmf();
	afx_msg void OnQuad3dmf();
	afx_msg void On3dmfpixel16();
	afx_msg void On3dmfpixel24();
	afx_msg void On3dmfpixel32();
	afx_msg void OnAutodividelayers();
	afx_msg void OnDemsealevel0();
	afx_msg void OnDemsealevel1();
	afx_msg void OnDemsealevel2();
	afx_msg void OnWritedemcontourmap();
	afx_msg void OnVcolors();
	afx_msg void OnMultimaterial();
	afx_msg void OnRelocateTextures();
	afx_msg void OnOutputavatar();
	afx_msg void OnPartialtexturepath();
	afx_msg void OnNoindent();
	afx_msg void OnOnelayerperfile();
	afx_msg void OnTextastext();
	afx_msg void OnModocamerasunlight();
	afx_msg void OnModohierarchy();
	afx_msg void OnModowithjoints();
	afx_msg void OnConvert3dto2d();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

public:
  afx_msg void OnBnClickedOutputhierarchy();
  BOOL m_OutputHierarchy;
  afx_msg void OnBnClickedSetwhiteforuvlayers();
  int m_ColladaUpAxis_Group;
  afx_msg void OnBnClickedColladaupaxisx();
  afx_msg void OnBnClickedColladaupaxisy();
  afx_msg void OnBnClickedColladaupaxisz();
  BOOL m_AlwaysWriteColladaTransparency;
  afx_msg void OnBnClickedAlwayswritecolladatransparency();
  CString m_MayaVersion;
  CString m_DirectxFramePrefix;
  CString m_DirectxMaterialPrefix;
  BOOL m_UseDirectxFramePrefix;
  BOOL m_UseDirectxMaterialPrefix;
  afx_msg void OnBnClickedSetmayaversion();
  afx_msg void OnBnClickedUsedirectxframeprefix();
  afx_msg void OnBnClickedSetdirectxframeprefix();
  afx_msg void OnBnClickedUsedirectxmaterialprefix();
  afx_msg void OnBnClickedSetdirectxmaterialprefix();
  CString m_NewEmbeddedName;
  afx_msg void OnBnClicked_RenameEmbeddedTextures();
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_WRITEPAGE_H__3D5643B4_DB3F_4CC9_A32B_D5A08093AD82__INCLUDED_)
